version: '2.4'
services:
  weka-cache-evictor:
    image: "{{ weka_kraken_evictor_docker_image }}"
    volumes:
      - "{{ kraken_logs_path }}:{{ kraken_logs_path }}"
      - "{{ weka_mount_point }}:{{ weka_mount_point }}"
    network_mode: host
    restart: unless-stopped
    command:
      - --max_file_age=10
      - --max_threshold_file_age=4
      - --threshold_cache_size_in_tb=80
      - --cache_root_directory={{ weka_remote_filesystem_cache_root }}
